## org.gnu.gtk
Class FileSelection

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.GtkObject
              org.gnu.gtk.Widget
                  org.gnu.gtk.Container
                      org.gnu.gtk.Bin
                          org.gnu.gtk.Window
                              org.gnu.gtk.Dialog
                                  org.gnu.gtk.FileSelection

public class FileSelection
extends Dialog

The FileSelection widget lists all the files and directories in the current working directory and enables the user to select one of the file names. There are a number of navigation controls that enable the user to browse through the entire file system. There also are buttons that create directories, delete files, and rename files.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`FileSelection(Handle handle)` Construct a FileSelection using a handle to a native resource.
`FileSelection(java.lang.String title)` construct a new FileSelection dialog.

Method Summary
`void` `complete(java.lang.String pattern)` Will attempt to match `pattern` to a valid filename or subdirectory in the current directory.
`protected static Handle` `getButtonArea(Handle cptr)`
`Button` `getCancelButton()` Return the Cancel Button widget for this dialog.
`protected static Handle` `getCancelButton(Handle cptr)`
`Widget` `getDirList()` Return the directory list for this widget
`protected static Handle` `getDirList(Handle cptr)`
`Widget` `getFileList()` Returns the the file list for this widget
`protected static Handle` `getFileList(Handle cptr)`
`java.lang.String` `getFilename()` Returns the selected filename.
`Button` `getHelpButton()` Return the Help Button widget for this dialog.
`protected static Handle` `getHelpButton(Handle cptr)`
`protected static Handle` `getHistoryMenu(Handle cptr)`
`protected static Handle` `getHistoryPulldown(Handle cptr)`
`protected static Handle` `getMainVbox(Handle cptr)`
`Button` `getOKButton()` Return the OK Button widget for this Dialog.
`protected static Handle` `getOkButton(Handle cptr)`
`Widget` `getSelectionEntry()` Returns the selection entry
`protected static Handle` `getSelectionEntry(Handle cptr)`
`java.lang.String[]` `getSelections()` Retrieves the list of file selections the user has made in the dialog box.
`protected static Handle` `getSelectionText(Handle cptr)`
`boolean` `getSelectMultiple()` Determines whether or not the user is allowed to select multiple files in the file list.
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static void` `gtk_file_selection_complete(Handle filesel, java.lang.String pattern)`
`protected static java.lang.String` `gtk_file_selection_get_filename(Handle filesel)`
`protected static int` `gtk_file_selection_get_type()`
`protected static void` `gtk_file_selection_hide_fileop_buttons(Handle filesel)`
`protected static Handle` `gtk_file_selection_new(java.lang.String title)`
`protected static void` `gtk_file_selection_set_filename(Handle filesel, java.lang.String filename)`
`protected static void` `gtk_file_selection_show_fileop_buttons(Handle filesel)`
`void` `hideFileopButtons()` Hides the file operation buttons that normally appear at the top of the dialog.
`void` `setFilename(java.lang.String filename)` Sets the default path for the file requestor.
`void` `setSelectMultiple(boolean selectMultiple)` Sets whether the user is allowed to select multiple files in the file list.
`void` `showFileopButtons()` Shows the file operation buttons, if they have previously been hidden.

Methods inherited from class org.gnu.gtk.Dialog

`addButton, addButton, addListener, addWidget, fireButtonEvent, getActionArea, getActionArea, getDialogLayout, getEventListenerClass, getEventType, getHasSeparator, getVbox, gtk_dialog_add_action_widget, gtk_dialog_add_button, gtk_dialog_get_has_separator, gtk_dialog_get_type, gtk_dialog_new, gtk_dialog_response, gtk_dialog_run, gtk_dialog_set_default_response, gtk_dialog_set_has_separator, gtk_dialog_set_response_sensitive, removeListener, run, setDefaultResponse, setHasSeparator`

Methods inherited from class org.gnu.gtk.Window

`addAccelGroup, deiconify, fullscreen, getAcceptFocus, getDefaultIconList, getFocusOnMap, getFocusWidget, getGravity, getIcon, getIconList, getIconName, getPosition, getScreen, getSize, getSkipPagerHint, getSkipTaskbarHint, getTitle, gtk_window_activate_default, gtk_window_activate_focus, gtk_window_add_accel_group, gtk_window_add_mnemonic, gtk_window_begin_move_drag, gtk_window_begin_resize_drag, gtk_window_deiconify, gtk_window_fullscreen, gtk_window_get_accept_focus, gtk_window_get_decorated, gtk_window_get_default_icon_list, gtk_window_get_default_size, gtk_window_get_destroy_with_parent, gtk_window_get_focus, gtk_window_get_frame_dimensions, gtk_window_get_gravity, gtk_window_get_has_frame, gtk_window_get_icon_list, gtk_window_get_icon, gtk_window_get_mnemonic_modifier, gtk_window_get_modal, gtk_window_get_position, gtk_window_get_resizable, gtk_window_get_role, gtk_window_get_screen, gtk_window_get_size, gtk_window_get_skip_pager_hint, gtk_window_get_skip_taskbar_hint, gtk_window_get_title, gtk_window_get_transient_for, gtk_window_get_type_hint, gtk_window_get_type, gtk_window_has_toplevel_focus, gtk_window_iconify, gtk_window_is_active, gtk_window_list_toplevels, gtk_window_maximize, gtk_window_mnemonic_activate, gtk_window_move, gtk_window_new, gtk_window_parse_geometry, gtk_window_present, gtk_window_remove_accel_group, gtk_window_remove_mnemonic, gtk_window_resize, gtk_window_set_accept_focus, gtk_window_set_auto_startup_notification, gtk_window_set_decorated, gtk_window_set_default_icon_from_file, gtk_window_set_default_icon_list, gtk_window_set_default_icon, gtk_window_set_default_size, gtk_window_set_default, gtk_window_set_destroy_with_parent, gtk_window_set_focus, gtk_window_set_frame_dimensions, gtk_window_set_geometry_hints, gtk_window_set_gravity, gtk_window_set_has_frame, gtk_window_set_icon_from_file, gtk_window_set_icon_list, gtk_window_set_icon, gtk_window_set_keep_above, gtk_window_set_keep_below, gtk_window_set_mnemonic_modifier, gtk_window_set_modal, gtk_window_set_position, gtk_window_set_resizable, gtk_window_set_role, gtk_window_set_screen, gtk_window_set_skip_pager_hint, gtk_window_set_skip_taskbar_hint, gtk_window_set_title, gtk_window_set_transient_for, gtk_window_set_type_hint, gtk_window_set_wmclass, gtk_window_stick, gtk_window_unfullscreen, gtk_window_unmaximize, gtk_window_unstick, hasToplevelFocus, iconify, isActive, listToplevelWindows, maximize, move, present, removeAccelGroup, resize, setAcceptFocus, setAutoStartupNotification, setDecorated, setDefaultIcon, setDefaultIconFromFile, setDefaultIconList, setDefaultIconName, setDefaultSize, setDefaultWidget, setFocusOnMap, setFocusWidget, setGeometryHints, setGravity, setIcon, setIconFromFile, setIconList, setIconName, setKeepAbove, setKeepBelow, setModal, setPosition, setResizable, setScreen, setSkipPagerHint, setSkipTaskbarHint, setTitle, stick, unfullscreen, unmaximize, unstick`

Methods inherited from class org.gnu.gtk.Bin
`getChild, gtk_bin_get_child, gtk_bin_get_type`

Methods inherited from class org.gnu.gtk.Container

`add, addListener, fireContainerEvent, getBorderWidth, getChildren, getResizeMode, gtk_container_add, gtk_container_check_resize, gtk_container_child_type, gtk_container_get_border_width, gtk_container_get_children, gtk_container_get_focus_chain, gtk_container_get_focus_hadjustment, gtk_container_get_focus_vadjustment, gtk_container_get_resize_mode, gtk_container_get_type, gtk_container_propagate_expose, gtk_container_remove, gtk_container_resize_children, gtk_container_set_border_width, gtk_container_set_focus_chain, gtk_container_set_focus_child, gtk_container_set_focus_hadjustment, gtk_container_set_focus_vadjustment, gtk_container_set_reallocate_redraws, gtk_container_set_resize_mode, gtk_container_unset_focus_chain, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, destroy, draw, drawArea, drawArea, findListener, finish, fireBooleanLifeCycleEvent, fireDragDestinationEvent, fireDragSourceEvent, fireExposeEvent, fireFocusEvent, fireKeyEvent, fireLifeCycleEvent, fireMouseEvent, fireMouseMotionEvent, getAccessible, getColormap, getContext, getData, getDisplay, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getSensitive, getStyle, getToplevel, getWindow, grabDefault, grabFocus, gtk_drag_dest_set, gtk_drag_dest_unset, gtk_drag_finish, gtk_drag_get_data, gtk_drag_highlight, gtk_drag_source_set_icon_pixbuf, gtk_drag_source_set_icon_stock, gtk_drag_source_set_icon, gtk_drag_source_set, gtk_drag_source_unset, gtk_drag_unhighlight, gtk_widget_activate, gtk_widget_add_accelerator, gtk_widget_add_events, gtk_widget_add_mnemonic_label, gtk_widget_can_activate_accel, gtk_widget_child_focus, gtk_widget_child_notify, gtk_widget_class_path, gtk_widget_create_pango_context, gtk_widget_create_pango_layout, gtk_widget_destroy, gtk_widget_destroyed, gtk_widget_ensure_style, gtk_widget_event, gtk_widget_freeze_child_notify, gtk_widget_get_accessible, gtk_widget_get_ancestor, gtk_widget_get_child_requisition, gtk_widget_get_child_visible, gtk_widget_get_colormap, gtk_widget_get_composite_name, gtk_widget_get_default_colormap, gtk_widget_get_default_direction, gtk_widget_get_default_style, gtk_widget_get_default_visual, gtk_widget_get_direction, gtk_widget_get_display, gtk_widget_get_events, gtk_widget_get_extension_events, gtk_widget_get_modifier_style, gtk_widget_get_name, gtk_widget_get_pango_context, gtk_widget_get_parent_window, gtk_widget_get_parent, gtk_widget_get_pointer, gtk_widget_get_root_window, gtk_widget_get_screen, gtk_widget_get_sensitive, gtk_widget_get_settings, gtk_widget_get_size_request, gtk_widget_get_style, gtk_widget_get_toplevel, gtk_widget_get_type, gtk_widget_get_visual, gtk_widget_get_window, gtk_widget_grab_default, gtk_widget_grab_focus, gtk_widget_has_screen, gtk_widget_hide_all, gtk_widget_hide_on_delete, gtk_widget_hide, gtk_widget_intersect, gtk_widget_is_ancestor, gtk_widget_is_focus, gtk_widget_list_accel_closures, gtk_widget_list_mnemonic_labels, gtk_widget_map, gtk_widget_mnemonic_activate, gtk_widget_modify_base, gtk_widget_modify_bg, gtk_widget_modify_fg, gtk_widget_modify_font, gtk_widget_modify_style, gtk_widget_modify_text, gtk_widget_path, gtk_widget_pop_colormap, gtk_widget_pop_composite_child, gtk_widget_push_colormap, gtk_widget_push_composite_child, gtk_widget_queue_draw_area, gtk_widget_queue_draw, gtk_widget_queue_resize, gtk_widget_realize, gtk_widget_ref, gtk_widget_region_intersect, gtk_widget_remove_accelerator, gtk_widget_remove_mnemonic_label, gtk_widget_render_icon, gtk_widget_reparent, gtk_widget_reset_rc_styles, gtk_widget_send_expose, gtk_widget_set_accel_path, gtk_widget_set_app_paintable, gtk_widget_set_child_visible, gtk_widget_set_colormap, gtk_widget_set_composite_name, gtk_widget_set_default_colormap, gtk_widget_set_default_direction, gtk_widget_set_direction, gtk_widget_set_double_buffered, gtk_widget_set_events, gtk_widget_set_extension_events, gtk_widget_set_name, gtk_widget_set_parent_window, gtk_widget_set_parent, gtk_widget_set_redraw_on_allocate, gtk_widget_set_scroll_adjustments, gtk_widget_set_sensitive, gtk_widget_set_size_request, gtk_widget_set_state, gtk_widget_set_style, gtk_widget_shape_combine_mask, gtk_widget_show_all, gtk_widget_show_now, gtk_widget_show, gtk_widget_size_allocate, gtk_widget_size_request, gtk_widget_style_get_property, gtk_widget_thaw_child_notify, gtk_widget_translate_coordinates, gtk_widget_unmap, gtk_widget_unparent, gtk_widget_unrealize, gtk_widget_unref, handleButtonPressed, handleButtonReleased, handleDelete, handleDragDataGet, handleDragDestination, handleExpose, handleFocusIn, handleFocusOut, handleHide, handleKeyPressed, handleKeyReleased, handleMap, handleMouseEnter, handleMouseLeave, handleMouseMotion, handleNoExpose, handleRealize, handleScroll, handleShow, handleUnmap, hasFocus, hasScreen, hide, hideAll, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`getFlags, gtk_object_destroy, gtk_object_get_type, gtk_object_sink, setFlags, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSelection

    public FileSelection(java.lang.String title)

  construct a new FileSelection dialog.

Parameters:
  `title` - The string that is displayed in the title bar of the dialog.

### FileSelection

    public FileSelection(Handle handle)

  Construct a FileSelection using a handle to a native resource.

Method Detail

### setFilename

    public void setFilename(java.lang.String filename)

  Sets the default path for the file requestor. If filename includes a directory path the requestor will open with that path set as its current working directory.

  Parameters:
    `filename` - The default path for the widget.

### getFilename

    public java.lang.String getFilename()

  Returns the selected filename.

  Returns:
    The file that is selected in the dialog.

### complete

    public void complete(java.lang.String pattern)

  Will attempt to match `pattern` to a valid filename or subdirectory in the current directory. If a match can be made the matched filename will appear in the text entry field in the file selection dialog. If a partial match can be made the "Files" list will contain those file names which have been partially matched and the "Directories" list will list those directories which have been partially matched.

  Parameters:
    `pattern` - The pattern to use for matching.

### showFileopButtons

    public void showFileopButtons()

  Shows the file operation buttons, if they have previously been hidden. The rest of the widgets in the dialog will be resized accordingly.

### hideFileopButtons

    public void hideFileopButtons()

  Hides the file operation buttons that normally appear at the top of the dialog.

### getOKButton

    public Button getOKButton()

  Return the OK Button widget for this Dialog.

  Returns:
    The OK Button.

### getCancelButton

    public Button getCancelButton()

  Return the Cancel Button widget for this dialog.

  Returns:
    The Cancel Button.

### getHelpButton

    public Button getHelpButton()

  Return the Help Button widget for this dialog.

  Returns:
    The Help Button.

### getDirList

    public Widget getDirList()

  Return the directory list for this widget

  Returns:
    The Directory List

### getFileList

    public Widget getFileList()

  Returns the the file list for this widget

  Returns:
    The File List

### getSelectionEntry

    public Widget getSelectionEntry()

  Returns the selection entry

  Returns:
    selection entry

### getSelections

    public java.lang.String[] getSelections()

  Retrieves the list of file selections the user has made in the dialog box. This function is intended for use when the user can select multiple files in the file list.

### setSelectMultiple

    public void setSelectMultiple(boolean selectMultiple)

  Sets whether the user is allowed to select multiple files in the file list. Use `getSelections()` to get the list of selected files.

### getSelectMultiple

    public boolean getSelectMultiple()

  Determines whether or not the user is allowed to select multiple files in the file list.

  See Also:
    `setSelectMultiple(boolean)`

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getDirList

    protected static final Handle getDirList(Handle cptr)

### getFileList

    protected static final Handle getFileList(Handle cptr)

### getSelectionEntry

    protected static final Handle getSelectionEntry(Handle cptr)

### getSelectionText

    protected static final Handle getSelectionText(Handle cptr)

### getMainVbox

    protected static final Handle getMainVbox(Handle cptr)

### getOkButton

    protected static final Handle getOkButton(Handle cptr)

### getCancelButton

    protected static final Handle getCancelButton(Handle cptr)

### getHelpButton

    protected static final Handle getHelpButton(Handle cptr)

### getHistoryPulldown

    protected static final Handle getHistoryPulldown(Handle cptr)

### getHistoryMenu

    protected static final Handle getHistoryMenu(Handle cptr)

### getButtonArea

    protected static final Handle getButtonArea(Handle cptr)

### gtk_file_selection_get_type

    protected static final int gtk_file_selection_get_type()

### gtk_file_selection_new

    protected static final Handle gtk_file_selection_new(java.lang.String title)

### gtk_file_selection_set_filename

    protected static final void gtk_file_selection_set_filename(Handle filesel,
                                                                java.lang.String filename)

### gtk_file_selection_get_filename

    protected static final java.lang.String gtk_file_selection_get_filename(Handle filesel)

### gtk_file_selection_complete

    protected static final void gtk_file_selection_complete(Handle filesel,
                                                            java.lang.String pattern)

### gtk_file_selection_show_fileop_buttons

    protected static final void gtk_file_selection_show_fileop_buttons(Handle filesel)

### gtk_file_selection_hide_fileop_buttons

    protected static final void gtk_file_selection_hide_fileop_buttons(Handle filesel)